Bug 1118064 - virt-who --satellite option is for sat5 not sat6
Summary: virt-who --satellite option is for sat5 not sat6
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Subscription Management
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: William Poteat
QA Contact: Jitendra Yejare
URL:
Whiteboard:
Depends On: 1187575
Blocks: 1233960
TreeView+ depends on / blocked
 
Reported: 2014-07-09 23:08 UTC by Tom McKay
Modified: 2019-05-20 11:13 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
The virt-who utility uses the "--sam" option to collect information from Red Hat Satellite 6, but for Red Hat Satellite 5, it uses the "--satellite" option. To make the use of these options more intuitive, "--satellite" has been changed to "--satellite5" and "--satellite6" is an alias for "--sam".
Clone Of:
: 1187575 (view as bug list)
Environment:
Last Closed: 2015-08-12 16:03:13 UTC


Attachments (Terms of Use)

Description Tom McKay 2014-07-09 23:08:50 UTC
The virt-who option --satellite is for sat5. The --sam option is the behavior for sat6. How is this going to be handled w/ sat6 GA?

Setting severity to "high" as indication that virtualization is an important component of sat6

Comment 1 RHEL Product and Program Management 2014-07-09 23:23:54 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 3 Mike McCune 2014-08-26 04:43:21 UTC
DOCS:

WORKAROUND:

Critical: Users utilizing virtualization and associated subscriptions that require virt-who should specify the --sam flag for virt-who and not --satellite even thou that option looks like the correct flag to use.

Comment 5 William Poteat 2015-03-26 18:55:45 UTC
master commit b4a12c4e095f5d5376029e295d4bc28f05c22833

Comment 9 Jitendra Yejare 2015-05-04 08:24:41 UTC
Please provide Test steps for verifying this bug.

I tried installing virt-who 0.13 manually and I can see --sam option for Satellite 6(default) and --satellite for Satellite 5.

virt-who 0.13 --help output:
Subscription manager:
    Choose where the host/guest associations should be reported

    --sam               Report host/guest associations to the Subscription
                        Asset Manager or Satellite 6 [default]
    --satellite         Report host/guest associations to the Satellite 5

Comment 10 William Poteat 2015-05-18 12:47:49 UTC
Please confirm the version of virt-who.

On a system with 0.12-6, we are seeing the correct options here.

Comment 11 Jitendra Yejare 2015-05-26 06:53:48 UTC
Hi William,

The Virt-who version is 0.13 as mentioned in Comment 9. I can see the options are correct for Virt-who 0.13

Please confirm on closing this bug.

Comment 12 Jitendra Yejare 2015-05-26 10:38:22 UTC
Confirm on Comment 11.

Comment 13 William Poteat 2015-06-15 15:56:04 UTC
This is the expected output in that section of help

Subscription manager:
    Choose where the host/guest associations should be reported

    --sam               Report host/guest associations to the Subscription
                        Asset Manager [default]
    --satellite6        Report host/guest associations to the Satellite 6
                        server
    --satellite5        Report host/guest associations to the Satellite 5
                        server


If it matches and those options have the desired effect, then we should be done.

Comment 14 John Sefler 2015-06-15 17:08:43 UTC
I think reason that comment 9 does not see William's changes is because these brew builds for 0.13-1 appear to be based on 0.12-1; not 0.12-2 which is where Radek merged comment 10.
  https://brewweb.devel.redhat.com/buildinfo?buildID=431673
  https://brewweb.devel.redhat.com/buildinfo?buildID=431674
  https://brewweb.devel.redhat.com/buildinfo?buildID=431675

NEEDINFO on dgoodwin.  You should probably consider a new build of virt-who for satellite-6.0.1

Comment 15 John Sefler 2015-06-15 17:09:44 UTC
The following version of virt-who came from the latest RHEL-6.7-candidate brew builds.

[root@jsefler-os6server ~]# rpm -q virt-who
virt-who-0.12-10.el6.noarch
[root@jsefler-os6server ~]# virt-who --help | grep -C1 -- --sa
Usage: virt-who [-d] [-i INTERVAL] [-b] [-o] [--sam|--satellite5|--satellite6] [--libvirt|--vdsm|--esx|--rhevm|--hyperv]

--

    --sam               Report host/guest associations to the Subscription
                        Asset Manager [default]
    --satellite6        Report host/guest associations to the Satellite 6
                        server
    --satellite5        Report host/guest associations to the Satellite 5
                        server
--
  Satellite 5 options:
    Use these options with --satellite5

    --satellite-server=SAT_SERVER
                        Satellite server URL
    --satellite-username=SAT_USERNAME
                        Username for connecting to Satellite server
    --satellite-password=SAT_PASSWORD
                        Password for connecting to Satellite server

These are the options that William implemented in comment 5.
The virt-who QA team should verify that the options function as desired against a SAM, Satellite5, and Satellite6 environment.

Comment 16 Devan Goodwin 2015-06-16 15:08:27 UTC
Ok this is a bit of a complicated situation. So 0.13 was tagged and built for satellite. It missed the commit in question by one.

Meanwhile Radeck has been selectively backporting things to 0.12 stream for RHEL, so some of the 0.12 builds have newer code than 0.13.

If you verify this using 0.12+, you should see the correct behavior.

Radeck plans to rebase to 0.14 for 7.2 next week. When this happens, I can build into Satellite tags if this is desired.

Comment 17 Jitendra Yejare 2015-06-17 14:11:02 UTC
As per the latest mail from Thomas Mlcoch for New Errata Compose, 
I downloaded Virt-who 0.13 for RHEL 71 from the given mail link, 
And I can see the options for Virt-who are displayed wrong

Virt-who 0.13 --help:

  Choose where the host/guest associations should be reported

    --sam               Report host/guest associations to the Subscription
                        Asset Manager or Satellite 6 [default]
    --satellite         Report host/guest associations to the Satellite 5


So as per discussion with Mike Mccune on IRC that if Virt-who 0.13 is not not showing correct options then just Fail QA it.

So moving this bug to Assigned state.

Comment 18 RHEL Product and Program Management 2015-07-14 18:04:17 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 19 William Poteat 2015-08-03 20:27:22 UTC
Commit should be in current build

Comment 20 Bryan Kearney 2015-08-07 15:45:10 UTC
This is in build 14 of virt-who. This is in the release.

Comment 21 Li Bin Liu 2015-08-07 17:10:39 UTC
Since we have actually verified the same issue in the bug [1] against the Satellite6.1.0-20150716, so moving this bug to be verified according to the testing result [1]. Thanks!

[1] https://bugzilla.redhat.com/show_bug.cgi?id=1187575#c6.

Comment 22 Bryan Kearney 2015-08-12 16:03:13 UTC
This bug was fixed in Satellite 6.1.1 which was delivered on 12 August, 2015.


Note You need to log in before you can comment on or make changes to this bug.